Subject: [TR] Stowe, Vt. In September

From: Dave Connitt <[email-masked]>
Date: Sat, 29 Jun 2019 12:08:46 -0400

I will be traveling back from Stowe, Vt. To Cincinnati in September. Is anyone from close to Cincinnati or traveling home through Cincinnati also going to the British Car show in Stowe Vt.? I haven’t decided on a specific route back home yet. The trip to Stowe is already planned as I am traveling to northern Ohio to meet up with some Triumph friends and will drive to Watkins Glen first, then on to Stowe with a side trip to Mount Washington. It’s always more fun to travel in a group.
Thanks,
Dave Connitt 
Sent from my iPhone
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]